com.jscape.inet.mft.management.descriptors

## Class SftpConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.TransportServiceConfiguration
    - - com.jscape.inet.mft.management.descriptors.SftpConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class SftpConfiguration
      extends TransportServiceConfiguration

  SFTP service configuration descriptor.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTH_BANNER` SFTP authentication banner flag.
    `static java.lang.String` | `CONNECTION_TIMEOUT` SFTP connection timeout flag.
    `static java.lang.String` | `SOFTWARE_VERSION` SFTP software version flag.
    `static java.lang.String` | `STARTUP_BANNER` SFTP startup banner flag.
    `static java.lang.String` | `SUPPORTED_CIPHERS` SFTP cipher algorithms sequence flag.
    `static java.lang.String` | `SUPPORTED_COMPRESSIONS` SFTP compression algorithms sequence flag.
    `static java.lang.String` | `SUPPORTED_KEXES` SFTP key exchange algorithms sequence flag.
    `static java.lang.String` | `SUPPORTED_MACS` SFTP MAC algorithms sequence flag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpConfiguration()` Creates new instance.
    `SftpConfiguration(SftpConfiguration that)` Creates new instance from existing instance.
    `SftpConfiguration(SftpConfiguration that, java.util.Map options)` Creates new instance from existing instance.
    `SftpConfiguration(java.lang.String startupBanner, java.lang.String softwareVersion, java.lang.String authBanner, java.lang.String[] supportedKexes, java.lang.String[] supportedCiphers, java.lang.String[] supportedMacs, java.lang.String[] supportedCompressions, long connectionTimeout, java.lang.Integer receiveBufferSize, java.lang.Integer sendBufferSize, boolean tcpNoDelayEnabled, boolean disableRealPathExpandedLongName, int backlog)` Creates new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String` | `getAuthBanner()` Gets authentication banner.
    `int` | `getBacklog()`
    `long` | `getConnectionTimeout()` Sets connection timeout in ms.
    `java.lang.Integer` | `getReceiveBufferSize()` Gets socket receive buffer size in bytes.
    `java.lang.Integer` | `getSendBufferSize()` Gets socket send buffer size in bytes.
    `java.lang.String` | `getSoftwareVersion()` Gets software version.
    `java.lang.String` | `getStartupBanner()` Gets startup banner.
    `java.lang.String[]` | `getSupportedCiphers()` Sets ciphers.
    `java.lang.String[]` | `getSupportedCompressions()` Gets compression algorithms.
    `java.lang.String[]` | `getSupportedKexes()` Gets key exchange algorithms.
    `java.lang.String[]` | `getSupportedMacs()` Gets MAC (message authentication) algorithms.
    `boolean` | `isDisableRealPathExpandedLongName()`
    `boolean` | `isTcpNoDelayEnabled()`
    `void` | `setAuthBanner(java.lang.String value)` Sets authentication banner.
    `void` | `setBacklog(int value)`
    `void` | `setConnectionTimeout(long value)` Sets connection timeout in ms.
    `void` | `setDisableRealPathExpandedLongName(boolean value)`
    `void` | `setReceiveBufferSize(java.lang.Integer value)` Sets receive buffer size in bytes.
    `void` | `setSendBufferSize(java.lang.Integer value)` Sets send buffer size in bytes.
    `void` | `setSoftwareVersion(java.lang.String value)` Sets software version.
    `void` | `setStartupBanner(java.lang.String value)` Sets startup banner.
    `void` | `setSupportedCiphers(java.lang.String[] value)` Gets ciphers.
    `void` | `setSupportedCompressions(java.lang.String[] value)` Sets compression algorithms.
    `void` | `setSupportedKexes(java.lang.String[] value)` Sets key exchange algorithms.
    `void` | `setSupportedMacs(java.lang.String[] value)` Sets MAC (message authentication) algorithms.
    `void` | `setTcpNoDelayEnabled(boolean value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STARTUP_BANNER

          public static final java.lang.String STARTUP_BANNER

      SFTP startup banner flag.
      See Also:
        Constant Field Values

    - #### SOFTWARE_VERSION

          public static final java.lang.String SOFTWARE_VERSION

      SFTP software version flag.
      See Also:
        Constant Field Values

    - #### AUTH_BANNER

          public static final java.lang.String AUTH_BANNER

      SFTP authentication banner flag.
      See Also:
        Constant Field Values

    - #### SUPPORTED_KEXES

          public static final java.lang.String SUPPORTED_KEXES

      SFTP key exchange algorithms sequence flag.
      See Also:
        Constant Field Values

    - #### SUPPORTED_CIPHERS

          public static final java.lang.String SUPPORTED_CIPHERS

      SFTP cipher algorithms sequence flag.
      See Also:
        Constant Field Values

    - #### SUPPORTED_MACS

          public static final java.lang.String SUPPORTED_MACS

      SFTP MAC algorithms sequence flag.
      See Also:
        Constant Field Values

    - #### SUPPORTED_COMPRESSIONS

          public static final java.lang.String SUPPORTED_COMPRESSIONS

      SFTP compression algorithms sequence flag.
      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final java.lang.String CONNECTION_TIMEOUT

      SFTP connection timeout flag.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SftpConfiguration

          public SftpConfiguration(java.lang.String startupBanner,
                                   java.lang.String softwareVersion,
                                   java.lang.String authBanner,
                                   java.lang.String[] supportedKexes,
                                   java.lang.String[] supportedCiphers,
                                   java.lang.String[] supportedMacs,
                                   java.lang.String[] supportedCompressions,
                                   long connectionTimeout,
                                   java.lang.Integer receiveBufferSize,
                                   java.lang.Integer sendBufferSize,
                                   boolean tcpNoDelayEnabled,
                                   boolean disableRealPathExpandedLongName,
                                   int backlog)

      Creates new instance.
      Parameters:
        `startupBanner` - startup banner
        `softwareVersion` - software version
        `authBanner` - authentication banner
        `supportedKexes` - supported key exchange algorithms
        `supportedCiphers` - supported cipher algorithms
        `supportedMacs` - supported MAC algorithms
        `supportedCompressions` - supported compression algorithms
        `connectionTimeout` - connection timeout in ms
        `receiveBufferSize` - socket receive buffer size in bytes
        `sendBufferSize` - socket send buffer size in bytes

    - #### SftpConfiguration

          public SftpConfiguration(SftpConfiguration that)

      Creates new instance from existing instance.
      Parameters:
        `that` - an instance to copy

    - #### SftpConfiguration

          public SftpConfiguration(SftpConfiguration that,
                                   java.util.Map options)

      Creates new instance from existing instance.
      Parameters:
        `that` - an instance to copy
        `options` - additional options

    - #### SftpConfiguration

          public SftpConfiguration()

      Creates new instance.

  - ### Method Detail

    - #### getStartupBanner

          public java.lang.String getStartupBanner()

      Gets startup banner.
      Returns:
        startup banner

    - #### setStartupBanner

          public void setStartupBanner(java.lang.String value)

      Sets startup banner.
      Parameters:
        `value` - startup banner

    - #### getSoftwareVersion

          public java.lang.String getSoftwareVersion()

      Gets software version.
      Returns:
        software version

    - #### setSoftwareVersion

          public void setSoftwareVersion(java.lang.String value)

      Sets software version.
      Parameters:
        `value` - software version

    - #### getAuthBanner

          public java.lang.String getAuthBanner()

      Gets authentication banner.
      Returns:
        authentication banner

    - #### setAuthBanner

          public void setAuthBanner(java.lang.String value)

      Sets authentication banner.
      Parameters:
        `value` - authentication banner

    - #### getSupportedKexes

          public java.lang.String[] getSupportedKexes()

      Gets key exchange algorithms.
      Returns:
        supported key exchange algorithms

    - #### setSupportedKexes

          public void setSupportedKexes(java.lang.String[] value)

      Sets key exchange algorithms.
      Parameters:
        `value` - supported key exchange algorithms

    - #### getSupportedCiphers

          public java.lang.String[] getSupportedCiphers()

      Sets ciphers.
      Returns:
        supported cipher algorithms

    - #### setSupportedCiphers

          public void setSupportedCiphers(java.lang.String[] value)

      Gets ciphers.
      Parameters:
        `value` - supported cipher algorithms

    - #### getSupportedMacs

          public java.lang.String[] getSupportedMacs()

      Gets MAC (message authentication) algorithms.
      Returns:
        supported MAC algorithms

    - #### setSupportedMacs

          public void setSupportedMacs(java.lang.String[] value)

      Sets MAC (message authentication) algorithms.
      Parameters:
        `value` - supported MAC algorithms

    - #### getSupportedCompressions

          public java.lang.String[] getSupportedCompressions()

      Gets compression algorithms.
      Returns:
        supported compression algorithms

    - #### setSupportedCompressions

          public void setSupportedCompressions(java.lang.String[] value)

      Sets compression algorithms.
      Parameters:
        `value` - supported compression algorithms

    - #### getConnectionTimeout

          public long getConnectionTimeout()

      Sets connection timeout in ms.
      Returns:
        connection timeout

    - #### setConnectionTimeout

          public void setConnectionTimeout(long value)

      Sets connection timeout in ms.
      Parameters:
        `value` - connection timeout

    - #### getReceiveBufferSize

          public java.lang.Integer getReceiveBufferSize()

      Gets socket receive buffer size in bytes.
      Returns:
        receive buffer size

    - #### setReceiveBufferSize

          public void setReceiveBufferSize(java.lang.Integer value)

      Sets receive buffer size in bytes.
      Parameters:
        `value` - receive buffer size

    - #### getSendBufferSize

          public java.lang.Integer getSendBufferSize()

      Gets socket send buffer size in bytes.
      Returns:
        send buffer size

    - #### setSendBufferSize

          public void setSendBufferSize(java.lang.Integer value)

      Sets send buffer size in bytes.
      Parameters:
        `value` - send buffer size

    - #### isTcpNoDelayEnabled

          public boolean isTcpNoDelayEnabled()

    - #### setTcpNoDelayEnabled

          public void setTcpNoDelayEnabled(boolean value)

    - #### isDisableRealPathExpandedLongName

          public boolean isDisableRealPathExpandedLongName()

    - #### setDisableRealPathExpandedLongName

          public void setDisableRealPathExpandedLongName(boolean value)

    - #### getBacklog

          public int getBacklog()

    - #### setBacklog

          public void setBacklog(int value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.